﻿using System.Web.Mvc;
using Mvc_Ninject_Moq.Models;

namespace Mvc_Ninject_Moq.Controllers
{
    public class ProdutoController : Controller
    {
        private IProdutoRepositorio repositorio;

        public ProdutoController(IProdutoRepositorio produtoRepositorio)
        {
            this.repositorio = produtoRepositorio;
        }

        public ViewResult ListaProdutos()
        {
            return View(repositorio.Produtos);
        }
    }
}